<?php

namespace Dalten\RuianToUir\Converter\Exception;

class InvalidRuianDataException extends \RuntimeException
{
    public static function becauseRequiredAttributeIsMissing(string $converterName, string $attributeName): self
    {
        return new self(
            \sprintf('Pro záznam typu "%s" chybí povinný xml atribut "%s".', $converterName, $attributeName)
        );
    }
}
